function [ y_rek,historie,pocetIter ] = rekSVyl( y, F, gama, lambda, maxIter, tolerance, zacDir, velDir, velOkna, posunOkna, pocetKanalu )
%funkce pro výpočet rekonstrukce signálu s vylepšení

konDir = zacDir+velDir-1;

yr = doplniNuly(y, zacDir:konDir);

x0 = frana(F,yr);

w = vypVahKoef( length(y), posunOkna, pocetKanalu, velOkna, zacDir, velDir );

for i=1:length(w)
    w(i)=1/w(i);
end

[x,historie,pocetIter] = DRSVyl( F, x0, gama, lambda, maxIter, zacDir, konDir, tolerance, w );

x=proxf2( F, x, x0, zacDir, konDir);

y_rek = real(frsyn(F,x));

end

